Subject: Re: linux-next: kvm tree build failure

From: Avi Kivity <[email-masked]>
Date: Wed, 15 Oct 2008 15:25:22 +0200

Stephen Rothwell wrote:
> Hi Avi,
>
> Today's linux-next build (x86_64 allmodconfig) failed like this:
>
> In file included from arch/x86/kvm/../../../virt/kvm/vtd.c:28:
> include/linux/intel-iommu.h:31:27: error: dma_remapping.h: No such file or directory
> drivers/pci/intr_remapping.c:7:25: error: intel-iommu.h: No such file or directory
>
>   

I merged -linus and pushed, so this should be fixed now.

> I applied the following patch (which will need some consideration).
>   

I arrived at the same patch (with a few unrelated additions).  Please 
generate file movement patches with -M, much easier to review.

-- 
error compiling committee.c: too many arguments to function